[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoNewPage

Performs actions needed to start a new page for the print device.

## Declaration

Source position: printers.pas line 266

`protected procedure TPrinter.DoNewPage; virtual;`

## Description

DoNewPage is a virtual procedure used to perform actions needed to start a new page for the print device. DoNewPage is called from the NewPage method when an overridden method has been provided in the class implementation. It occurs after checking the printer status and incrementing the value in PageNumber.

Remark: | In TPrinter, DoNewPage has an empty implementation. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.